## ros-humble-rmf-task-sequence 2.1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(rmf_task_sequence VERSION 2.1.3)

set(CMAKE_EXPORT_COMPILE_COMMANDS on)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(NOT CMAKE_BUILD_TYPE)
  # Use the Release build type by default if the user has not specified one
  set(CMAKE_BUILD_TYPE Release)
endif()

include(GNUInstallDirs)

find_package(rmf_api_msgs REQUIRED)
find_package(rmf_task REQUIRED)
find_package(nlohmann_json REQUIRED)
find_package(nlohmann_json_schema_validator_vendor REQUIRED)
find_package(nlohmann_json_schema_validator REQUIRED)

find_package(ament_cmake_catch2 QUIET)
find_package(ament_cmake_uncrustify QUIET)

# ===== RMF Task Sequence Library
file(GLOB_RECURSE lib_srcs
  "src/rmf_task_sequence/*.cpp"
)

add_library(rmf_task_sequence SHARED
  ${lib_srcs}
)

target_link_libraries(rmf_task_sequence
  PUBLIC
    rmf_task::rmf_task
    nlohmann_json::nlohmann_json
    nlohmann_json_schema_validator
)

target_include_directories(rmf_task_sequence
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}/rmf_api_generate_schema_headers/include> # for auto-generated schema headers
)

if(BUILD_TESTING AND ament_cmake_catch2_FOUND AND ament_cmake_uncrustify_FOUND)
  file(GLOB_RECURSE unit_test_srcs "test/*.cpp")
  ament_add_catch2(
    test_rmf_task_sequence test/main.cpp ${unit_test_srcs}
    TIMEOUT 300)
  target_link_libraries(test_rmf_task_sequence
      rmf_task_sequence
  )

  target_include_directories(test_rmf_task_sequence
    PRIVATE
      $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/>
  )

  find_file(uncrustify_config_file
    NAMES "rmf_code_style.cfg"
    PATHS "${rmf_utils_DIR}/../../../share/rmf_utils/")

  ament_uncrustify(
    ARGN include src test
    CONFIG_FILE ${uncrustify_config_file}
    MAX_LINE_LENGTH 80
  )
endif()

# Generate the schema headers
rmf_api_generate_schema_headers(
  PACKAGE rmf_task_sequence
  SCHEMAS_DIR ${CMAKE_CURRENT_LIST_DIR}/schemas
)


# Create cmake config files
include(CMakePackageConfigHelpers)

set(INSTALL_CONFIG_DIR "${CMAKE_INSTALL_LIBDIR}/rmf_task_sequence/cmake")
set(PACKAGE_CONFIG_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/rmf_task_sequence-config-version.cmake")
set(PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_BINARY_DIR}/rmf_task_sequence-config.cmake")

configure_package_config_file(
  "${CMAKE_CURRENT_LIST_DIR}/cmake/rmf_task_sequence-config.cmake.in"
  ${PACKAGE_CONFIG_FILE}
  INSTALL_DESTINATION ${INSTALL_CONFIG_DIR}
)

write_basic_package_version_file(
  ${PACKAGE_CONFIG_VERSION_FILE}
  COMPATIBILITY ExactVersion
)

install(
  TARGETS rmf_task_sequence
  EXPORT  rmf_task_sequence-targets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(
  DIRECTORY include/rmf_task_sequence
  DESTINATION include
)

install(
  FILES
    ${PACKAGE_CONFIG_VERSION_FILE}
    ${PACKAGE_CONFIG_FILE}
  DESTINATION ${INSTALL_CONFIG_DIR}
)

install(
  EXPORT rmf_task_sequence-targets
  FILE rmf_task_sequence-targets.cmake
  NAMESPACE rmf_task_sequence::
  DESTINATION ${INSTALL_CONFIG_DIR}
)

export(
  EXPORT rmf_task_sequence-targets
  FILE ${CMAKE_CURRENT_BINARY_DIR}/rmf_task_sequence-targets.cmake
  NAMESPACE rmf_task_sequence::
)

# Export ament index path
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/share/ament_index/resource_index/packages/${PROJECT_NAME} "")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/share/ament_index/resource_index/packages/${PROJECT_NAME} DESTINATION share/ament_index/resource_index/packages)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/share/${PROJECT_NAME}/hook/ament_prefix_path.dsv "prepend-non-duplicate;AMENT_PREFIX_PATH;")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/share/${PROJECT_NAME}/hook/ament_prefix_path.dsv DESTINATION share/${PROJECT_NAME}/hook)

=== debian/changelog ===
ros-humble-rmf-task-sequence (2.1.6-1jammy) jammy; urgency=high

  * Fix battery drain crash for GoToPlace (#96 <https://github.com/open-rmf/rmf_task/pull/96>)
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.5-1jammy) jammy; urgency=high

  * Added ``requester`` and ``request_time`` fields to ``rmf_task::Task::Booking`` (#81 <https://github.com/open-rmf/rmf_task/pull/81>)
  * Contributors: Aaron Chong

 -- Grey <grey@openrobotics.org>  Thu, 29 Jun 2023 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.4-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.3-1jammy) jammy; urgency=high

  * Fix battery consumption modeling for perform_action tasks (#76 <https://github.com/open-rmf/rmf_task/pull/76>)
  * Add missing buildtool_depend on cmake (#75 <https://github.com/open-rmf/rmf_task/pull/75>)
  * Contributors: Luca Della Vedova, Scott K Logan, Yadunund

 -- Grey <grey@openrobotics.org>  Sat, 16 Apr 2022 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.2-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Sun, 13 Nov 2022 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.1-1jammy) jammy; urgency=high

  * Add find_package/find_dependency for vendored project.
    The vendor package for nlohmann_json_schema_validator was previously
    exporting dependency info for that package, however that is not the
    recommended workflow for vendor packages which are ideally as
    transparent as possible.
  * Contributors: Grey, Marco A. Gutiérrez, Steven! Ragnarök

 -- Grey <grey@openrobotics.org>  Mon, 10 Oct 2022 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.0-1jammy) jammy; urgency=high

  * Allow GoToPlace to know about expected future destinations (#61 <https://github.com/open-rmf/rmf_task/pull/61>)
  * Contributors: Grey

 -- Grey <grey@openrobotics.org>  Wed, 18 May 2022 16:00:00 -0000

ros-humble-rmf-task-sequence (2.0.0-1jammy) jammy; urgency=high

  * Support flexible task definitions (#39 <https://github.com/open-rmf/rmf_task/pull/3>)
    * Provide an implementation for phase-sequence based tasks
    * Arbitrary phases can be implemented downstream
    * A simple event-wrapping phase implementation is provided
    * Events can be composed into a tree-structure of sequential events
    * Downstream users can implement arbitrary events
  * Contributors: Grey, Xiyu, Yadunund, Youliang

 -- Grey <grey@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000

=== debian/control ===
Source: ros-humble-rmf-task-sequence
Section: misc
Priority: optional
Maintainer: Grey <grey@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), cmake, nlohmann-json3-dev, ros-humble-ament-cmake-catch2 <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-nlohmann-json-schema-validator-vendor, ros-humble-rmf-api-msgs, ros-humble-rmf-task, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmf-task-sequence
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nlohmann-json3-dev, ros-humble-nlohmann-json-schema-validator-vendor, ros-humble-rmf-api-msgs, ros-humble-rmf-task, ros-humble-ros-workspace
Description: Implementation of phase-sequence tasks for the Robotics Middleware Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmf-task-sequence//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rmf-task-sequence//opt/ros/humble/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rmf-task-sequence 2.1.8

=== debian/changelog ===
ros-humble-rmf-task-sequence (2.1.8-1bookworm) bookworm; urgency=high

  * Add support for multiple destinations to choose from. (#101 <https://github.com/open-rmf/rmf_task/pull/101>)
  * Contributors: Arjo Chakravarty, Grey

 -- Grey <grey@openrobotics.org>  Thu, 21 Dec 2023 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.7-1bookworm) bookworm; urgency=high

  * Fix race condition risk for task sequences (#102 <https://github.com/open-rmf/rmf_task/pull/102>)

 -- Grey <grey@openrobotics.org>  Thu, 14 Dec 2023 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.6-1bookworm) bookworm; urgency=high

  * Fix battery drain crash for GoToPlace (#96 <https://github.com/open-rmf/rmf_task/pull/96>)
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.5-1bookworm) bookworm; urgency=high

  * Added ``requester`` and ``request_time`` fields to ``rmf_task::Task::Booking`` (#81 <https://github.com/open-rmf/rmf_task/pull/81>)
  * Contributors: Aaron Chong

 -- Grey <grey@openrobotics.org>  Thu, 29 Jun 2023 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.4-1bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.3-1bookworm) bookworm; urgency=high

  * Fix battery consumption modeling for perform_action tasks (#76 <https://github.com/open-rmf/rmf_task/pull/76>)
  * Add missing buildtool_depend on cmake (#75 <https://github.com/open-rmf/rmf_task/pull/75>)
  * Contributors: Luca Della Vedova, Scott K Logan, Yadunund

 -- Grey <grey@openrobotics.org>  Sat, 16 Apr 2022 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.2-1bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Sun, 13 Nov 2022 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.1-1bookworm) bookworm; urgency=high

  * Add find_package/find_dependency for vendored project.
    The vendor package for nlohmann_json_schema_validator was previously
    exporting dependency info for that package, however that is not the
    recommended workflow for vendor packages which are ideally as
    transparent as possible.
  * Contributors: Grey, Marco A. Gutiérrez, Steven! Ragnarök

 -- Grey <grey@openrobotics.org>  Mon, 10 Oct 2022 16:00:00 -0000

ros-humble-rmf-task-sequence (2.1.0-1bookworm) bookworm; urgency=high

  * Allow GoToPlace to know about expected future destinations (#61 <https://github.com/open-rmf/rmf_task/pull/61>)
  * Contributors: Grey

 -- Grey <grey@openrobotics.org>  Wed, 18 May 2022 16:00:00 -0000

ros-humble-rmf-task-sequence (2.0.0-1bookworm) bookworm; urgency=high

  * Support flexible task definitions (#39 <https://github.com/open-rmf/rmf_task/pull/3>)
    * Provide an implementation for phase-sequence based tasks
    * Arbitrary phases can be implemented downstream
    * A simple event-wrapping phase implementation is provided
    * Events can be composed into a tree-structure of sequential events
    * Downstream users can implement arbitrary events
  * Contributors: Grey, Xiyu, Yadunund, Youliang

 -- Grey <grey@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000
